0
Fixed

Why?? You have version 1.6.4 installed. Update to 1.6.0

netoriginator 6 months ago • updated by support (Support) 3 months ago 2

Fist the plugin wants to upgrade to 1.6.4, when that is successful, it then prompts me to - prompts to upgrade to 1.6.4 then prompts to down grade to 1.6.0?? Endless loops..

Under review

It's possible your WordPress updates page has cached old information. It may clear itself. Or, you could consider refreshing it.